︠b435d65c-ed86-44eb-abbd-97188717591b︠
%latex
$$
\left\lbrace\begin{array}{rcl}
y'(t) &=& 1 + \frac{y}{t} + \left( \frac{y}{t}\right)^2\\
y(1) &=& 0
\end{array}\right.$$

The exact solution of the above IVP is given by $y(t) = t \tan(\ln t) $

a)Obtain numerical solution for the IVP given above by using Euler’s method,
Midpoint method (Runge-Kutta method order 2), Modified Euler’s method, and
Runge-Kutta method order 4. Use h = 0.01 and calculate the error for each
method at each point. Organize your results into a table or tables.
︡c67825a8-ca2e-4659-b95c-22f7f1964ed2︡︡
︠ce160e4f-bdf9-4226-bea9-76484f4cb0bc︠
%latex
Euler's Method Algorithm is as follows
︡ab64dbcb-9ce2-4985-a70b-9d187a9cdc9f︡︡
︠bb83d36c-1312-43ee-a50a-06d59870e2a2︠
def eulers_method(a,b,N,alpha):
    h = (b-a)/N
    t = a
    f = lambda x,y: 1.0 + (y/x) + (y/x)^2
    omega = alpha
    #for storage of values, we create a list
    w = []
    w.append((0,omega))
    for i in range(1,N):
        omega = omega + h * f(t,omega)
        w.append((i,omega))
        t = a + i * h
    return w
︡4df31772-acd5-4e0e-930e-f84ccb696dbb︡︡
︠88eaa901-e52d-4374-a235-4f217c5bca15︠
#since h = 0.01, N = (4-1)/.01 = 300
ans = eulers_method(1,4,300,0) # returns a table of points (i, w_i)
mat_ans = matrix(ans)# creates a matrix of ans
Latex_Table = latex(mat_ans)#makes the matrix into a table array in Latex
︡c029cd67-5ca1-40ed-81bc-10c2155498f7︡︡
︠1f603fe9-75ec-4274-869d-03f3cfa50506︠
%latex
The table is so large I cannot display it in the notebook.  I will show you the problem in Wave.  I will have to truncate the table. :-(
︡bf130cd4-e289-4b17-8395-bc6a2da6a661︡︡
